{lib, ...}: {
  imports = [];

  fileSystems."/" = {
    device = "gha-root";
    fsType = "tmpfs";
    options = ["size=1G" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-uuid/b75e52a1-deee-45d4-b958-086bdaeb4fa4"; #TODO
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/6b86ec51-b854-4227-9b05-c8e15f7b2e62"; #TODO
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/b75e52a1-deee-45d4-b958-086bdaeb4fa4"; #TODO
    fsType = "btrfs";
    options = ["subvol=nix"];
  };

  #  swapDevices = [{device = "/dev/disk/by-uuid/";}]; #TODO

  boot.loader.grub.device = "/dev/sda";

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
